[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemon.ReportStatus

Report the current status to the operating system

## Declaration

Source position: daemonapp.pp line 64

`public procedure TCustomDaemon.ReportStatus;`

## Description

ReportStatus can be used to report the current status to the operating system. The start and stop or pause and continue operations can be slow to start up. This call can (and should) be used to report the current status to the operating system during such lengthy operations, or else it may conclude that the daemon has died.

This call is mostly important on windows operating systems, to notify the service manager that the operation is still in progress.

The implementation of ReportStatus simply calls ReportStatus in the controller.

## Errors

None.

## See also

LogMessage |  | Log a message to the system log